# zbot/plugs/wiki.py
#
#

""" query wikipedia. """

## IMPORTS

from zbot.utils import error, from_enc, do_url, strip_html, strip_wiki
from zbot import kernel, Object

from urllib.parse import quote
import logging
import cgi
import re

## WIKI

def do_wiki(event):
    what = event.rest.capitalize()
    url = 'http://en.wikipedia.org/wiki/Special:Export/%s' % quote(what.encode('utf-8'))
    o = Object()
    data = do_url("GET", url).read()
    txt = strip_wiki(strip_html(data))
    event.reply(txt)

kernel.cmnds.register("wiki", do_wiki)
